Skip to main content
POST
/
v2
/
experiments
/
{experiment_id}
/
runs
/
annotate
Annotate a batch of experiment runs
curl --request POST \
  --url https://api.arize.com/v2/experiments/{experiment_id}/runs/annotate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "annotations": [
    {
      "record_id": "run_abc",
      "values": [
        {
          "name": "quality",
          "label": "good"
        }
      ]
    }
  ]
}
'
{
  "results": [
    {
      "record_id": "run_abc",
      "annotations": [
        {
          "name": "quality",
          "label": "good",
          "annotator": {
            "id": "usr_123",
            "email": "reviewer@example.com"
          },
          "updated_at": "2024-01-08T10:00:00Z"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

experiment_id
string
required

The unique identifier of the experiment A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

Body

application/json

Body containing experiment run annotation batch

Batch annotation request for experiment runs.

annotations
object[]
required

Batch of experiment run annotations to write. Up to 500 runs per request.

Required array length: 1 - 500 elements

Response

Annotations successfully written to experiment runs

Result of a batch annotation operation. Contains one result entry per annotated record.

results
object[]
required

Per-record annotation results, in the same order as the request.